#include <bits/stdc++.h>
using namespace std;
ifstream f1("BAI2_17.INP");
ofstream f2("BAI2_17.OUT");
int main()
{
    int n,i,k,m,dem=0;
    f1>>n>>k>>m;
    for(i=1;i<=m;i++)
    {
        if(i%k==0 || i%n==0){dem++;}
    }
    f2<<dem;
    f1.close();
    f2.close();
    return 0;
}
